Bug 158497 - bootstrap repo needed for packages that need bootstrapping
bootstrap repo needed for packages that need bootstrapping
Status: CLOSED WONTFIX
Product: Fedora Infrastructure
Classification: Retired
Component: extras buildsys (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-22 20:18 EDT by Jens Petersen
Modified: 2007-03-27 00:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-29 15:47:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2005-05-22 20:18:18 EDT
Description of problem:
Some implementations of programming languages and other toolchain
components require themselves (possibly through a circular dependence) say 
to build in the buildsystem.  So the suggestion was made to have a
bootstrap repository from which the buildsystem can pull such build
dependencies when such a new package is added.
Comment 1 Jens Petersen 2005-06-27 23:32:30 EDT
ghc and fpc are working round this by using binary bootstrapping fwiw.
Comment 2 Warren Togami 2005-06-30 22:00:19 EDT
Note that this repository was suggested (by Seth) as a way to avoid manually
putting binary packages into the buildroot and also avoiding needlessly
importing huge bootstrap binaries into the tarball repository that would only be
used once.
Comment 3 Jeremy Katz 2005-07-29 15:47:04 EDT
I think binary bootstrapping or one-offs is going to be the way to handle things
like this. 

Note You need to log in before you can comment on or make changes to this bug.